node.sizes<- {bnstruct} | R Documentation

## set the size of variables of an object.

### Description

Set the size of the variables of a BN or BNDataset object. It represents the actual cardinality of discrete variables, and the cardinality of the discretized variable for continuous variables.

### Usage

    node.sizes(x) <- value

    ## S4 replacement method for signature 'BN'
    node.sizes(x) <- value

    ## S4 replacement method for signature 'BNDataset'
    node.sizes(x) <- value

### Arguments

`x` | an object.
`value` | vector contaning the size of each variable of the object.

[Package bnstruct version 1.0.6 Index]